package com.heyu.api.data.service.impl.order;

import com.heyu.api.data.entity.vv.VvTradeOrderLineEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.service.impl.AbstractOrderAction;
import com.heyu.api.data.utils.StringUtils;

public class TrackLogisticsAction extends AbstractOrderAction {
    @Override
    public ActionEnums getAction(VvTradeOrderLineEntity vvTradeOrderLineEntity, boolean isApp) {
        if (StringUtils.isNotEmpty(vvTradeOrderLineEntity.getTrackNumber())) {
            if (isApp) {
                return ActionEnums.App_Track_Logistics;
            } else {
                return ActionEnums.Admin_Track_Logistics;
            }
        }
        return null;
    }
}
